POST api/Session
Request Information
URI Parameters
None.
Body Parameters
SessionRequestParams| Name | Description | Type | Additional information |
|---|---|---|---|
| day | string |
None. |
|
| phone | string |
None. |
|
| name | string |
None. |
|
| shipID | globally unique identifier |
None. |
|
| coachID | globally unique identifier |
None. |
|
| ridersQty | integer |
None. |
|
| beginnersQty | integer |
None. |
|
| sessionDuration | integer |
None. |
|
| startDate | string |
None. |
|
| comment | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"day": "sample string 1",
"phone": "sample string 2",
"name": "sample string 3",
"shipID": "16e207b1-c8cb-4daf-9749-f77d1bafc33f",
"coachID": "7383356b-1bec-44bd-9ec6-c4dc670803eb",
"ridersQty": 5,
"beginnersQty": 6,
"sessionDuration": 7,
"startDate": "sample string 8",
"comment": "sample string 9"
}
application/xml, text/xml
Sample:
<SessionRequestParams xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models"> <comment>sample string 9</comment> <day>sample string 1</day> <instructorId>7383356b-1bec-44bd-9ec6-c4dc670803eb</instructorId> <name>sample string 3</name> <phone>sample string 2</phone> <ridersQty>5</ridersQty> <shipId>16e207b1-c8cb-4daf-9749-f77d1bafc33f</shipId> <startDate>sample string 8</startDate> <startupQty>6</startupQty> <totalDuration>7</totalDuration> </SessionRequestParams>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
SessionsResponseJson| Name | Description | Type | Additional information |
|---|---|---|---|
| timeFrames | Collection of TimeFrame |
None. |
|
| isFound | boolean |
None. |
|
| balance | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
{
"timeFrames": [
{
"startTime": "sample string 1",
"endTime": "sample string 2",
"coachId": "ed91de11-2613-490b-baf2-b12c92fd54b5",
"coachPrice": 1.1,
"shipId": "5704e2ec-ec82-49da-814a-9164ea8ac804",
"boatPrice": 4.1
},
{
"startTime": "sample string 1",
"endTime": "sample string 2",
"coachId": "ed91de11-2613-490b-baf2-b12c92fd54b5",
"coachPrice": 1.1,
"shipId": "5704e2ec-ec82-49da-814a-9164ea8ac804",
"boatPrice": 4.1
}
],
"isFound": true,
"balance": 1.1
}
application/xml, text/xml
Sample:
<SessionsResponseJson xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models">
<balance>1.1</balance>
<isFound>true</isFound>
<timeFrames>
<TimeFrame>
<coachAmount>1.1</coachAmount>
<coachId>ed91de11-2613-490b-baf2-b12c92fd54b5</coachId>
<endTime>sample string 2</endTime>
<ridingAmount>4.1</ridingAmount>
<shipId>5704e2ec-ec82-49da-814a-9164ea8ac804</shipId>
<startTime>sample string 1</startTime>
</TimeFrame>
<TimeFrame>
<coachAmount>1.1</coachAmount>
<coachId>ed91de11-2613-490b-baf2-b12c92fd54b5</coachId>
<endTime>sample string 2</endTime>
<ridingAmount>4.1</ridingAmount>
<shipId>5704e2ec-ec82-49da-814a-9164ea8ac804</shipId>
<startTime>sample string 1</startTime>
</TimeFrame>
</timeFrames>
</SessionsResponseJson>